from sqlalchemy import DateTime, String, BigInteger, Column
from config.database import Base


class Message(Base):
    """
    系统消息表
    """

    __tablename__ = 'message'

    message_id = Column(BigInteger, primary_key=True, autoincrement=True, nullable=False, comment='消息主键')
    type = Column(String(2), nullable=False, comment='类型（0告警消息）')
    status = Column(String(2), nullable=False, comment='状态（0未处理，1已处理）')
    detail = Column(String(512), nullable=True, comment='消息描述')
    create_time = Column(DateTime, nullable=False, comment='创建时间')
    create_by = Column(String(64), nullable=True, comment='创建者')
    update_time = Column(DateTime, nullable=False, comment='更新时间')
    update_by = Column(String(64), nullable=False, comment='更新者')
    remark = Column(String(512), nullable=True, comment='备注')
    specific_type = Column(String(2), nullable=True, comment='具体消息类型(0 设备故障, 1 系统异常, 2安全告警, 3 网络异常)')



